function init(hero) {
    hero.setName("Naruto/Naruto Pre Shippuden");
    hero.setTier(4);
    
    hero.setHelmet("Headband");
    hero.setChestplate("Jacket");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("tmfp:kyuubi_chakra");
    hero.addAttribute("FALL_RESISTANCE", 10.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 3.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.5, 1);
    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);
    hero.addAttribute("STEP_HEIGHT", 0.5, 0);
    
    hero.addKeyBind("UTILITY_BELT", "key.utilityBelt", 1);
    hero.addKeyBind("SPELL_MENU", "Kage Bunshin no Jutsu", 2);
    hero.addKeyBind("CHARGE_ICE", "Rasengan", 3);
    hero.addKeyBind("RAGE", "Rage Mod", 4);
    hero.addKeyBind("ONE_TAIL", "One Tail Mod", 5);

    hero.addAttributeProfile("RAGE", rageProfile);
    hero.addAttributeProfile("ONE_TAIL", one_tailProfile);
    hero.setAttributeProfile(getProfile);
    hero.setKeyBindEnabled(isKeyBindEnabled);
    hero.setModifierEnabled(isModifierEnabled);
}
function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "CHARGE_ICE":
        return entity.getHeldItem().isEmpty();
    case "ONE_TAIL":
        return entity.getData('tmfp:dyn/rage') && !entity.getData('tmfp:dyn/one_tailed');
    case "RAGE":
        return !entity.getData('tmfp:dyn/rage');
    default:
        return true;
    }
}
function rageProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 9.0, 0);
    profile.addAttribute("SPRINT_SPEED", 0.9, 1);
    profile.addAttribute("JUMP_HEIGHT", 3.0, 0);
}
function one_tailProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 20.0, 0);
    profile.addAttribute("SPRINT_SPEED", 1.5, 1);
    profile.addAttribute("JUMP_HEIGHT", 4.0, 0);
}
function getProfile(entity) {
    if (entity.getData("tmfp:dyn/one_tailed")) {
        return "ONE_TAIL";
    }
    return entity.getData("tmfp:dyn/rage") ? "RAGE" : null;
}
function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:transformation":
        return modifier.id() == "one_tail1" == (entity.getData("tmfp:dyn/rage"));
    case "fiskheroes:damage_bonus":
        return modifier.id() == "rasengan" == (!entity.getData("tmfp:dyn/one_tailed"));
    case "fiskheroes:damage_bonus":
        return modifier.id() == "rasengan_one_tail" == (entity.getData("tmfp:dyn/one_tailed"));
    default:
        return true;
    }
}